Subject: [bug#31955] [PATCH] gnu: rust: support build with glibc-2.27, update to 1.26.2

From: Danny Milosavljevic <[email-masked]>
Date: Wed, 4 Jul 2018 17:45:02 +0200

Hi Nikolai,

I get a test failure after I applied both patches and then invoke "guix package -i rust".

egrep 'starting phase|build-started' RR
@ build-started /gnu/store/zbc701kksgw26g0ckzkhixvjrmqayrjb-rust-1.23.0.drv - x86_64-linux /var/log/guix/drvs/zb//c701kksgw26g0ckzkhixvjrmqayrjb-rust-1.23.0.drv.bz2
starting phase `set-SOURCE-DATE-EPOCH'
starting phase `set-paths'
starting phase `install-locale'
starting phase `unpack'
starting phase `dont-build-native'
starting phase `patch-tests'
starting phase `patch-cargo-tests'
starting phase `fix-mtime-bug'
starting phase `set-env'
starting phase `bootstrap'
starting phase `patch-usr-bin-file'
starting phase `patch-source-shebangs'
starting phase `patch-cargo-checksums'
starting phase `configure'
starting phase `patch-generated-file-shebangs'
starting phase `reset-timestamps-after-changes'
starting phase `build'
starting phase `check'

failures:
    [run-pass] run-pass/out-of-stack.rs

The phase that should have patched this test out never ran.  I checked the source file, it doesn't have the "// ignore-test" part.

I'll take a closer look later but can you check on your side too?

(Also, what's the deal with those comment directives?  Isn't there #[ignore] instead?)